## Function(treeId, treeNode)setting.callback.beforeEditName

### Overview[ depends on jquery.ztree.exedit js ]

Used to capture the event before click edit button, zTree based on return value to determine whether to allow to edit the name.

This callback is used to capture the event which edit button is clicked, then trigger the custom editing operation.

Default: null

### Function Parameter Descriptions

#### treeId String

zTree unique identifier: treeId, easy for users to control.

#### treeNode JSON

JSON data object of the node which will be edited name.

#### Return Boolean

return true or false

If return false, the node will not be able to edit the name.

### Examples of setting & function

#### 1. disable to edit the parent node's name

    function zTreeBeforeEditName(treeId, treeNode) {
    	return !treeNode.isParent;
    }
    var setting = {
    	edit: {
    		enable: true
    	},
    	callback: {
    		beforeEditName: zTreeBeforeEditName
    	}
    };
    ......